Borrowers typically have loans. We support multiple loan types and each loan type comes with its set of federal and state compliance rules. You can maintain different statuses of a loan. A borrower can have multiple loans. A loan can belong to multiple people, but only one borrower can be defined as a mainBorrower. A loan is always created using the mainBorrower borrower identifier. Other people can be added as part of the loan details.
All loan attributes can be updated as long as the loan is in pending status. Once the loan status changes to originated attributes of atOrigination object become read only and cannot be updated.
A Loan doesn't start accruing interest until it is activated. To activate the loan, call Activate a loan. On activation the loan can use the due dates and payments schedule from the atOrigination object or the loan can be re-amortized using the activation date as the loan start date.
Get all loans associated with a company.
The result fields that will be fetched:
all - Fetch all fields.
minimal - Fetch only the following fields: id, externalId, loanTypeId, mainBorrowerId, mainBorrowerExternalId, lockStatus, migrationStatus, and newInterestTimestampStartedAt.
idsOnly - DEPRECATED. Use minimal instead.
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X GET \
'https://sandboxapi.peach.finance/api/loans?fields=all&limit=25&startingAfter=string&endingBefore=string&statuses=all&managedByPeach=true&includeAdditionalBorrowers=false&loanTypeId=string&labels=string&createdAtBefore=2019-08-24T14%3A15%3A22Z&createdAtAfter=2019-08-24T14%3A15%3A22Z&updatedAtBefore=2019-08-24T14%3A15%3A22Z&updatedAtAfter=2019-08-24T14%3A15%3A22Z&originatedAtAfter=2019-08-24T14%3A15%3A22Z&originatedAtBefore=2019-08-24T14%3A15%3A22Z&activatedAtBefore=2019-08-24T14%3A15%3A22Z&activatedAtAfter=2019-08-24T14%3A15%3A22Z&sortBy=createdAt&dueDate=2019-08-24' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Success
- loans
- LoansMinimalPaging
{ "count": 0, "nextUrl": "string", "previousUrl": "string", "status": 0, "total": 0, "data": [ { … } ] }